Package io.vertx.grpc.reflection.v1

## Class ExtensionRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - io.vertx.grpc.reflection.v1.ExtensionRequest

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ExtensionRequestOrBuilder`, `Serializable`

      public final class ExtensionRequest
      extends com.google.protobuf.GeneratedMessage
      implements ExtensionRequestOrBuilder

       The type name and extension number sent by the client when requesting
       file_containing_extension.

  Protobuf type `grpc.reflection.v1.ExtensionRequest`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExtensionRequest.Builder` | The type name and extension number sent by the client when requesting file_containing_extension.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>,​BuilderT extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT,​BuilderT>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingT extends com.google.protobuf.Message,​T extends Object>, com.google.protobuf.GeneratedMessage.UnusedPrivateParameter`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

      `com.google.protobuf.AbstractMessage.BuilderParent`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CONTAINING_TYPE_FIELD_NUMBER` |
    `static int` | `EXTENSION_NUMBER_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getContainingType()` | Fully-qualified type name.
    `com.google.protobuf.ByteString` | `getContainingTypeBytes()` | Fully-qualified type name.
    `static ExtensionRequest` | `getDefaultInstance()` |
    `ExtensionRequest` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `int` | `getExtensionNumber()` | `int32 extension_number = 2;`
    `com.google.protobuf.Parser<ExtensionRequest>` | `getParserForType()` |
    `int` | `getSerializedSize()` |
    `int` | `hashCode()` |
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static ExtensionRequest.Builder` | `newBuilder()` |
    `static ExtensionRequest.Builder` | `newBuilder​(ExtensionRequest prototype)` |
    `ExtensionRequest.Builder` | `newBuilderForType()` |
    `protected ExtensionRequest.Builder` | `newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)` |
    `static ExtensionRequest` | `parseDelimitedFrom​(InputStream input)` |
    `static ExtensionRequest` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ExtensionRequest` | `parseFrom​(byte[] data)` |
    `static ExtensionRequest` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ExtensionRequest` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static ExtensionRequest` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ExtensionRequest` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static ExtensionRequest` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ExtensionRequest` | `parseFrom​(InputStream input)` |
    `static ExtensionRequest` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ExtensionRequest` | `parseFrom​(ByteBuffer data)` |
    `static ExtensionRequest` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static com.google.protobuf.Parser<ExtensionRequest>` | `parser()` |
    `ExtensionRequest.Builder` | `toBuilder()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashFields, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Field Detail

    - #### CONTAINING_TYPE_FIELD_NUMBER

          public static final int CONTAINING_TYPE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### EXTENSION_NUMBER_FIELD_NUMBER

          public static final int EXTENSION_NUMBER_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getContainingType

          public String getContainingType()

           Fully-qualified type name. The format should be <package>.<type>

      `string containing_type = 1;`
      Specified by:
        `getContainingType` in interface `ExtensionRequestOrBuilder`
      Returns:
        The containingType.

    - #### getContainingTypeBytes

          public com.google.protobuf.ByteString getContainingTypeBytes()

           Fully-qualified type name. The format should be <package>.<type>

      `string containing_type = 1;`
      Specified by:
        `getContainingTypeBytes` in interface `ExtensionRequestOrBuilder`
      Returns:
        The bytes for containingType.

    - #### getExtensionNumber

          public int getExtensionNumber()

      `int32 extension_number = 2;`
      Specified by:
        `getExtensionNumber` in interface `ExtensionRequestOrBuilder`
      Returns:
        The extensionNumber.

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(ByteBuffer data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(ByteBuffer data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(com.google.protobuf.ByteString data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(com.google.protobuf.ByteString data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(byte[] data)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(byte[] data,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(InputStream input)
                                            throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(InputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ExtensionRequest parseDelimitedFrom​(InputStream input)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ExtensionRequest parseDelimitedFrom​(InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(com.google.protobuf.CodedInputStream input)
                                            throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ExtensionRequest parseFrom​(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public ExtensionRequest.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static ExtensionRequest.Builder newBuilder()

    - #### newBuilder

          public static ExtensionRequest.Builder newBuilder​(ExtensionRequest prototype)

    - #### toBuilder

          public ExtensionRequest.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected ExtensionRequest.Builder newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)

      Overrides:
        `newBuilderForType` in class `com.google.protobuf.AbstractMessage`

    - #### getDefaultInstance

          public static ExtensionRequest getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<ExtensionRequest> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<ExtensionRequest> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getDefaultInstanceForType

          public ExtensionRequest getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`